// smbauth.c
// Brian Shire

#include <sys/types.h>
#include <unistd.h>
#include <syslog.h>
#include "smblib-priv.h"
#include "valid.h"

// Simple wrapper -> see valid.c
int smbauth_validate(char *user, char *pass, char *pdc, char *bdc, char *domain) {
	return Valid_User(user, pass, pdc, bdc, domain);
}

// Util to transate err codes to readable strings
char *smbauth_err2str(int err) {
	switch(err) {
		case NTV_NO_ERROR:
			return "No Error";
		case NTV_SERVER_ERROR:
			return "Server Error";
		case NTV_PROTOCOL_ERROR:
			return "Protocol Error";
		case NTV_LOGON_ERROR:
			return "Logon Error";
	}
	return "Unknown Error Code";
}
